Bug 967225 - nagios-plugins-check-updates: nothing provides yum-security in F19
nagios-plugins-check-updates: nothing provides yum-security in F19
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: nagios-plugins-check-updates (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jose Pedro Oliveira
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-25 13:46 EDT by Jose Pedro Oliveira
Modified: 2013-06-02 23:38 EDT (History)
1 user (show)

See Also:
Fixed In Version: nagios-plugins-check-updates-1.6.3-2.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-02 23:38:52 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jose Pedro Oliveira 2013-05-25 13:46:28 EDT
Description of problem:
Fedora 19: yum now provides the yum security plugin (it's no longer available as standalone RPM as it was in previous versions of Fedora) and the yum-security virtual package was also dropped.

How reproducible:
Always

Steps to Reproduce:
1. yum install nagios-plugins-check-updates

Actual results:
# yum install nagios-plugins-check-updates
Loaded plugins: langpacks, refresh-packagekit
Resolving Dependencies
--> Running transaction check
---> Package nagios-plugins-check-updates.x86_64 0:1.6.3-1.fc19 will be installed
--> Processing Dependency: yum-security for package: nagios-plugins-check-updates-1.6.3-1.fc19.x86_64
Package yum-plugin-security-1.1.31-14.fc19.noarch is obsoleted by yum-3.4.3-91.fc19.noarch which is already installed
--> Finished Dependency Resolution
Error: Package: nagios-plugins-check-updates-1.6.3-1.fc19.x86_64 (updates-testing)
           Requires: yum-security
           Available: yum-plugin-security-1.1.31-14.fc19.noarch (fedora)
               yum-security = 1.1.31-14.fc19
 You could try using --skip-broken to work around the problem
 You could try running: rpm -Va --nofiles --nodigest


Additional info:

Fedora 18
----------
# rpm -q yum-plugin-security
yum-plugin-security-1.1.31-10.fc18.noarch

# rpm -q --provides yum-plugin-security
config(yum-plugin-security) = 1.1.31-10.fc18
yum-plugin-security = 1.1.31-10.fc18
yum-security = 1.1.31-10.fc18


Fedora 19
----------
# rpm -q yum
yum-3.4.3-91.fc19.noarch

# rpm -q --provides yum
config(yum) = 3.4.3-91.fc19
yum = 3.4.3-91.fc19
yum-allow-downgrade = 1.1.20-0.yum
yum-basearchonly = 1.1.9.yum
yum-plugin-allow-downgrade = 1.1.22-0.yum
yum-plugin-basearchonly = 1.1.9.yum
yum-plugin-downloadonly = 3.4.3-44.yum
yum-plugin-protect-packages = 1.1.27-0.yum
yum-plugin-security = 3.4.3-84.yum
yum-presto = 3.4.3-66.yum
yum-protect-packages = 1.1.27-0.yum
yum-skip-broken = 1.1.18.yum
Comment 1 Jose Pedro Oliveira 2013-05-25 14:03:48 EDT
yum-3.4.3-91.fc19 (http://koji.fedoraproject.org/koji/buildinfo?buildID=418669)

yum package changelog:
...
* Thu Apr 18 2013 James Antill <james at fedoraproject.org> - 3.4.3-84
- update to latest HEAD.
- Move yum-security into core.
- A bunch of minor fixes for yum-cron.
- Update yum-cron to add security/minimal/etc. updates.
- Add socks support to proxy config.
...
Comment 2 Fedora Update System 2013-05-25 18:53:04 EDT
nagios-plugins-check-updates-1.6.3-2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/nagios-plugins-check-updates-1.6.3-2.fc19
Comment 3 Fedora Update System 2013-05-26 13:01:25 EDT
Package nagios-plugins-check-updates-1.6.3-2.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing nagios-plugins-check-updates-1.6.3-2.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-9307/nagios-plugins-check-updates-1.6.3-2.fc19
then log in and leave karma (feedback).
Comment 4 Fedora Update System 2013-06-02 23:38:52 EDT
nagios-plugins-check-updates-1.6.3-2.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.